## vmware-nsx 17.0.0+git2021041415.85f4e2b99

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

eventlet>=0.24.1 # MIT
httplib2>=0.9.1 # MIT
requests>=2.14.2 # Apache-2.0
netaddr>=0.7.18 # BSD
tenacity>=6.0.0 # Apache-2.0
SQLAlchemy>=1.2.0 # MIT
stevedore>=2.0.1 # Apache-2.0
neutron-lib>=2.6.1 # Apache-2.0
osc-lib>=2.0.0 # Apache-2.0
octavia-lib>=1.3.1 # Apache-2.0
python-openstackclient>=5.3.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.config>=6.0.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.utils>=4.4.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
paramiko>=2.4.0 # LGPLv2.1+
PrettyTable<0.8,>=0.7.2 # BSD
tooz>=2.7.1 # Apache-2.0
decorator>=4.4.1 # BSD

# These repos are installed from git in OpenStack CI if the job
# configures them as required-projects:
neutron>=17.0.0.0 # Apache-2.0
networking-l2gw>=17.0.1 # Apache-2.0
networking-sfc>=10.0.0.0 # Apache-2.0
neutron-fwaas>=16.0.0.0 # Apache-2.0
neutron-vpnaas>=17.0.0.0 # Apache-2.0
neutron-dynamic-routing>=16.0.0.0 # Apache-2.0
vmware-nsxlib>=17.0.0 # Apache-2.0
# NOTE: we require octavia but can't depend on it
# octavia>=7.0.0.0 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
vmware-nsx (17.0.0+git2021041415.85f4e2b99-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 15:58:47 -0400

vmware-nsx (17.0.0+git2021040813.116ac637a-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Apr 2021 13:39:28 -0400

vmware-nsx (17.0.0+git2021012713.2f49527e3-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Jan 2021 07:34:10 +0000

vmware-nsx (17.0.0+git2020121113.d2e0053b6-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Dec 2020 13:36:07 +0000

=== debian/control ===
Source: vmware-nsx
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-decorator (>= 4.4.1),
 python3-eventlet (>= 0.24.1),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-httplib2 (>= 0.9.1),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-networking-l2gw (>= 1:16.0.0),
 python3-networking-sfc (>= 10.0.0),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-dynamic-routing (>= 2:16.0.0),
 python3-neutron-fwaas (>= 1:16.0.0),
 python3-neutron-lib (>= 2.6.1),
 python3-neutron-vpnaas (>= 2:17.0.0),
 python3-octavia-lib (>= 1.3.1),
 python3-openstackclient (>= 5.3.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr,
 python3-osc-lib (>= 2.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.4.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paramiko (>= 2.4.0),
 python3-prettytable (>= 0.7.2),
 python3-psycopg2 (>= 2.8),
 python3-pymysql (>= 0.9.3),
 python3-pyroute2 (>= 0.4.21),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.11.0),
 python3-sphinx (>= 2.0.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-subunit (>= 0.0.18),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 2.7.1),
 python3-vmware-nsxlib (>= 16.0.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/vmware-nsx
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/vmware-nsx
Homepage: https://opendev.org/x/vmware-nsx
Testsuite: autopkgtest-pkg-python

Package: python3-vmware-nsx
Architecture: all
Section: python
Depends:
 vmware-nsx-common (= ${binary:Version}),
 python3-decorator (>= 4.4.1),
 python3-eventlet (>= 0.24.1),
 python3-httplib2 (>= 0.9.1),
 python3-netaddr (>= 0.7.18),
 python3-networking-l2gw (>= 1:16.0.0),
 python3-networking-sfc (>= 10.0.0),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-dynamic-routing (>= 2:16.0.0),
 python3-neutron-fwaas (>= 1:16.0.0),
 python3-neutron-lib (>= 2.6.1),
 python3-neutron-vpnaas (>= 2:17.0.0),
 python3-octavia-lib (>= 1.3.1),
 python3-openstackclient (>= 5.3.0),
 python3-osc-lib (>= 2.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.4.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-paramiko (>= 2.4.0),
 python3-pbr (>= 4.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:2.0.1),
 python3-tenacity (>= 6.0.0),
 python3-tooz (>= 2.7.1),
 python3-vmware-nsxlib (>= 16.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Python 3 VMWare NSX plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 files for the VMWare NSX plugin.

Package: vmware-nsx-common
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Breaks:
 python-vmware-nsx (<< 13.0.0-0ubuntu1~),
Replaces:
 python-vmware-nsx (<< 13.0.0-0ubuntu1~),
Description: OpenStack virtual network service - VMWare NSX plugin config files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the config files for the VMWare NSX plugin.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=vmware_nsx

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(jamespage): Disable unit tests due to sqlite related test failures
	#                  with in-memory db's in low memory conditions.
	#                  See https://bugs.launchpad.net/1676712
	# ostestr
	:
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	mkdir -p $(CURDIR)/debian/vmware-nsx-common/etc/neutron/plugins/vmware
	PYTHONPATH=$(CURDIR) oslo-config-generator --namespace nsx \
		--output-file $(CURDIR)/debian/vmware-nsx-common/etc/neutron/plugins/vmware/nsx.ini

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-vmware-nsx/usr/etc


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## vmware-nsx 17.0.0+git2021100613.841fa95a5

=== requirements.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
 oslo.utils>=4.4.0 # Apache-2.0
 oslo.vmware>=2.17.0 # Apache-2.0
 paramiko>=2.4.0 # LGPLv2.1+
-PrettyTable<0.8,>=0.7.2 # BSD
 tooz>=2.7.1 # Apache-2.0
 decorator>=4.4.1 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
sphinx_feature_classification>=1.0.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0

fixtures>=3.0.0 # Apache-2.0/BSD
testresources>=2.0.0 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD

=== debian/changelog ===
vmware-nsx (17.0.0+git2021100613.841fa95a5-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 13:27:09 -0400

vmware-nsx (17.0.0+git2021090911.b14018281-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 11:16:14 -0400

vmware-nsx (17.0.0+git2021072117.59d6c0123-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:47:43 -0400

vmware-nsx (17.0.0+git2021061405.2944b7d4d-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:46 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-httplib2 (>= 0.9.1),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-networking-l2gw (>= 1:16.0.0),
+ python3-networking-l2gw (>= 1:17.0.1),
  python3-networking-sfc (>= 10.0.0),
  python3-neutron (>= 2:17.0.0),
  python3-neutron-dynamic-routing (>= 2:16.0.0),
@@ -86,7 +86,7 @@
  python3-eventlet (>= 0.24.1),
  python3-httplib2 (>= 0.9.1),
  python3-netaddr (>= 0.7.18),
- python3-networking-l2gw (>= 1:16.0.0),
+ python3-networking-l2gw (>= 1:17.0.1),
  python3-networking-sfc (>= 10.0.0),
  python3-neutron (>= 2:17.0.0),
  python3-neutron-dynamic-routing (>= 2:16.0.0),

## vmware-nsx 17.0.0+git2021120910.0253265f7

=== debian/changelog ===
vmware-nsx (17.0.0+git2021120910.0253265f7-0ubuntu1~cloud0) focal-yoga; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Dec 2021 17:53:42 +0000

vmware-nsx (17.0.0+git2021120910.0253265f7-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:51:59 -0500
